index/interfaces/PublicUserProfile.md
The public profile of an address (GET /v1/users/:address, no authentication): the answer of
fetchProfile(address).
fetch profile
Since
9.0.0
Properties
| Property | Type | Description |
|---|---|---|
address | string | The address, as the backend normalizes it (lowercase eth|... or client|...) |
bio | string | null | Bio, or null |
engagementBadge | BadgeStatus[] | Engagement badge ladder |
fullName | string | null | Display name, or null if none is set |
isLiveStreaming | boolean | Whether the user is live streaming on any of their tokens now |
launchBadge | BadgeStatus[] | Launch badge ladder |
liveStreamToken | string | null | The token being streamed, or null |
profileImage | string | null | Profile image URL, or null |
stats | ProfileStats | Aggregated statistics |
successBadge | BadgeStatus[] | Success badge ladder |
volumeBadge | BadgeStatus[] | Volume badge ladder |
engagement badge status full name is live streaming launch stream token profile image stats success volume